// Product card general styles
.product-card {
  background: $product-card-bg;
  box-shadow: $product-card-shadow;
  border: $product-card-border;
  border-radius: $product-card-border-radius;
  padding: $product-card-padding-sm;
  position: relative;
  display: flex;
  column-gap: 10px;
  transition: box-shadow 0.3s ease;

  @include media-breakpoint-down(md) {
    flex-wrap: wrap;
  }

  @include media-breakpoint-up(md) {
    min-height: $product-card-min-height;
    padding: $product-card-padding-lg;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
  }
}

.product-card__badge {
  @include product-badge;
}

.product-card__badge--best-seller {
  left: auto;
  right: -1px;
  top: -1px;
  font-size: 11px;

  i {
    font-size: 11px;
  }
}

.product-card__title {
  margin-top: 6px;

  a {
    color: $product-card-title-color;
    font-size: $product-card-title-font-size;
    font-weight: $product-card-title-font-weight;
    text-decoration: none;
    transition: color 0.3s ease;

    &:hover {
      color: $product-card-title-color-hover;
    }
  }
}
.product-card__image-box {
  @include media-breakpoint-down(md) {
    flex: 0 0 100px;
  }
}

.product-card__image {
  max-width: 100px;

  @include media-breakpoint-up(md) {
    margin-bottom: 10px;
    max-width: 100%;
  }

  img {
    width: 100%;
  }
}

[class*='product--variation'],
.product-card__price {
  align-items: center;
  display: flex;
  column-gap: 6px;
  margin-bottom: 10px;
  margin-top: auto;
}

.product-card__price-base,
.product-card__price-new {
  color: $product-card-price-color;
  font-size: $product-card-price-font-size-sm;
  font-weight: $product-card-price-font-weight;

  @include media-breakpoint-up(md) {
    font-size: $product-card-price-font-size-lg;
  }
}

.product-card__price-new {
  color: $product-card-flash-price-color;
}

.product-card__price-old {
  color: $product-card-old-price-color;
  font-size: $product-card-old-price-font-size;
  text-decoration: line-through;
}

.product-card__percentage {
  background: $product-card-percentage-bg;
  color: $primary;
  padding: 0 4px;
  border-radius: 4px;
  font-weight: 500;
  font-size: 13px;
  line-height: 20px;
}

.product-card__category {
  display: flex;
  align-items: center;
  column-gap: 8px;
  margin-bottom: 0;
  padding-left: 0;
  list-style: none;
}

.product-card__category-item {
  border: $product-card-ingredients-border;
  border-radius: $product-card-ingredients-border-radius;
  font-size: $product-card-ingredients-font-size;
  font-weight: $product-card-ingredients-font-weight;
  padding: $product-card-ingredients-padding;
  color: $product-card-ingredients-color;
  text-decoration: none;
}

a.product-card__category-item {
  transition: background-color 0.3s ease;

  &:hover {
    color: $product-card-ingredients-color;
    background-color: $gray;
  }
}

.product-card__description {
  height: 100%;
  display: flex;
  flex-direction: column;
}

.product-card__ratings {
  display: flex;
  align-items: center;
  column-gap: 20px;
  min-height: 25px;
}

.product-card__rating {
  color: $text-color;
  font-size: 10px;
  font-weight: 400;

  .product-card__rating-icon,
  .product-card__rating-icon.icon {
    @extend .icon;
    @extend .icon--star;
  }

  .product-card__rating-text {
    margin-top: 4px;
    margin-left: 4px;
  }
}

.product-card__strength,
.product-card__strength.icon {
  border: $product-card-strength-border;
  border-radius: $product-card-strength-border-radius;
  padding: $product-card-strength-padding;
  font-size: $product-card-strength-font-size;
  display: flex;
  align-items: center;
  column-gap: 5px;

  &::before {
    font-size: 16px;
  }
}

.product-card__strength--light {
  @extend .icon;
  @extend .icon--strength-light;
  border-color: $product-card-strength-light-color;
  color: $product-card-strength-light-color;
}

.product-card__strength--medium {
  @extend .icon;
  @extend .icon--strength-medium;
  border-color: $product-card-strength-medium-color;
  color: $product-card-strength-medium-color;
}

.product-card__strength--strong {
  @extend .icon;
  @extend .icon--strength-strong;
  border-color: $product-card-strength-strong-color;
  color: $product-card-strength-strong-color;
}

.product-card__add-to-cart-wholesale {
  display: flex;
  align-items: center;
  column-gap: 15px;
  margin-top: 15px;
  width: 100%;

  @include media-breakpoint-down(md) {
    .product-card__quantity {
      width: 50%;
    }

    .btn-cart {
      width: 50%;
    }
  }

  .quantity {
    border: 1px solid #E5E6E8;
    border-radius: 4px;
    padding: 6px 0;
  }

  [class*='quanity__button'] {
    background: transparent;
    box-shadow: none;
    height: 36px;
    width: 43px;
    color: $primary;
    font-size: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: $font-weight-normal;
    min-width: 43px;
    border-style: solid;
    border-color: #E5E6E8;
    transition: box-shadow .3s ease;
    border-radius: 4px;
    line-height: 1;

    &:hover {
      box-shadow: inset 0 0 5px 2px #E5E6E8;
      transition: box-shadow .3s ease;
    }
  }

  .quanity__button-minus {
    border-width: 0 1px 0 0;
    margin-left: 7px;
  }

  .quanity__button-plus {
    border-width: 0 0 0 1px;
    margin-right: 7px;
  }

  input {
    -moz-appearance:textfield;
    border: 0;
    width: 100%;
    outline: none;
    text-align: center;
  }

  input::-webkit-outer-spin-button,
  input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
  }

  .btn-cart {
    padding: 14px;
    font-size: 15px;
    line-height: 20px;

    @include media-breakpoint-up(md) {
      font-size: 0;
      column-gap: 0;

      &:before {
        font-size: 16px;
      }
    }
  }
}

// Product card simple type
.product-card--simple {
  width: 100%;

  &:hover {
    box-shadow: $product-card-shadow-hover;
    transition: 0.3s linear;

    .product-card__title a {
      color: $product-card-title-color-hover;
      text-decoration: none;
    }
  }

  .product-card__badge--simple {
    @include product-badge-on-sale;
  }
}

// Product card Top type wrapper
// @todo - added specific class to swiper slider.
.product-slider--top {
  .swiper-slide {
    padding-bottom: 50px !important;
  }
}

// Product card Top type
.product-card--top {
  position: relative;
  padding-bottom: 40px !important;
  margin-bottom: 50px !important;

  .top-counter {
    @include fs(h4);
    content: '#' counter(item);
    counter-increment: item;
    position: absolute;
    left: 50%;
    bottom: -35px;
    transform: translateX(-50%);
    display: flex;
    align-items: center;
    justify-content: center;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    color: #ED152B;
    font-weight: $font-weight-medium;
    background: #FDCA9B linear-gradient(98.38deg, #FDCA9B 6.03%, #FAEFA4 93.57%);
    box-shadow: 0 0 0 10px $clr-bg-white;

    span {
      font-size: 75%;
    }
  }
}

// Product card Flash type
.product-card--flash {
  .product-card__image {
    position: relative;

    &::after {
      background: $product-card-flash-overlay;
      backdrop-filter: blur(4px);
      content: '';
      display: block;
      position: absolute;
      top: 0;
      left: -1px;
      height: 100%;
      width: calc(100% + 2px);
      transition: 0.3s ease;
      opacity: 0;
    }
  }

  @include media-breakpoint-up(md) {
    &:hover {
      .product-card__add-to-cart,
      .form-actions {
        opacity: 1;
        pointer-events: auto;
        transition: opacity 0.3s ease;
        z-index: 2;
      }

      .product-card__image::after {
        opacity: 1;
        transition: opacity 0.3s ease;
      }
    }
  }

  .attribute-widgets,
  .js-form-item-quantity,
  .form-composite {
    display: none;
  }
}

.product-card__add-to-cart,
.product-card--flash .product-card__image .form-actions {
  @include absolute-center;
  opacity: 0;
  pointer-events: none;
  transition: 0.3s ease;
  width: 100%;

  .btn {
    width: 100%;

    @include media-breakpoint-down(md) {
      font-size: 10px;
    }
  }

  .button {
    @extend .btn;
    @extend .btn-primary;
  }
}

.product-card__badge--flash {
  background: $product-card-badge-bg-flash;
  color: $product-card-badge-color-flash;
  font-size: $product-card-badge-font-size-flash;
  font-weight: $product-card-badge-font-weight;
}
